/*****************************  CharacterCompare.java  ************************/

/**   Implementiert die Methoden aus dem Interface Compare
 *    und vergleicht damit zwei Character-Objekte.
 *
 *    int compare(Object a, Object b)
 *         liefert  0, wenn a == b
 *         liefert <0, wenn a < b
 *         liefert >0, wenn a > b
 */
public class CharacterCompare implements Compare {

    /** vergleicht Character-Objekte a und b und liefert
     *  <0, =0 oder >0
     */
    public int compare(Object a, Object b) {
        // Character-Objekte nach char umwandeln und Differenz zurueckliefern
        return (((Character)a).charValue()) - (((Character)b).charValue());
    }
}
