/*****************************  Compare.java  *********************************/

/**   Das Interface deklariert eine Vergleichs-Methode fuer zwei Objekte.
 *    Fuer jeden von Object abgeleiteten Datentyp muss eine solche
 *    Vergleichsklasse implementiert werden.
 *
 *    int compare(Object a, Object b)
 *         liefert  0, wenn a == b
 *         liefert <0, wenn a < b
 *         liefert >0, wenn a > b
 */
public interface Compare {

    public int compare(Object a, Object b);
}
