/***************************  Firma.java  *************************************/

/** Klasse Firma        
 *  bestehend aus einem Array fuer Mitarbeiter 
 */ 

public class Firma {

  static final int N = 4;                       // Zahl der Mitarbeiter
  static Mitarbeiter[] ma;                      // Array von Mitarbeitern

  public static void main (String argv[]){

    ma                 = new Mitarbeiter[N];    // Platz fuer Mitarbeiter-Array

    ma[0]              = new Arbeiter();        // lege 1. Mitarbeiter an
    ma[1]              = new Angestellter();    // lege 2. Mitarbeiter an
    ma[2]              = new Angestellter();    // lege 3. Mitarbeiter an
    ma[3]              = new Arbeiter();        // lege 4. Mitarbeiter an

    double bruttoSumme = 0.0;                   // initialisiere Bruttosumme

    for (int i=0; i < N; i++)                   // durchlaufe Mitarbeiter-Array
        bruttoSumme += ma[i].monatsBrutto();    // und addiere Monats-Brutto

  }

}
