/***************************  Sichtbarkeit.java  ******************************/

import AlgoTools.IO;

/** Sichtbarkeit und Lebensdauer von Variablen.
 *  Ueberladen von Methoden.
 */

public class Sichtbarkeit {

  static int grenze;                      // globale Variable
  static int i = 100;                     // globale Varibale
 
  static void setze() {                   // Methode ohne Parameter
    int i = 42;                           // lokales i, verschieden von glob. i
    grenze = i;                           // setze globale grenze auf 42
  }

 
  static void setze(int a) {              // Methode mit Parameter  
    grenze = a;                           // setze globale Variable
  }                                       // durch uebergebenen Parameter


  static void zeichne() {                 // Methode ohne Parameter 
    for (int i=0; i < grenze; i++)        // lokale Variable laeuft bis  
        IO.print('*');                    // zum Wert der globalen Variablen
    IO.println();
  }
 

  static int hole() {                     // Methode ohne Parameter   
    return grenze;                        // liefert momentanen Wert von grenze
  }


  public static void main(String argv[]){ // Methode mit Parameter
    setze();                              // setze globale Variable
    zeichne();                            // nutze globale Variable
    setze(4711);                          // setze globale Variable
    IO.println("Grenze = " + hole());     // hole  globale Variable 
  }
}
