/***************************  Ziffern.java  ***********************************/

import AlgoTools.IO;

/**  Liest eine Zeichenfolge bis zur ersten Nichtziffer oder bis zum Zeilenende
 *   und berechnet den zugehoerigen Wert.
 */

public class Ziffern {

  public static void main (String argv[]) {

    char[] zeile;                           // Array fuer Zeile
    char c;                                 // Character-Variable

    int i = 0, wert = 0, ziffernwert;       // Hilfsvariablen 

    zeile = IO.readChars("Bitte Ziffernfolge: "); // Liest so lange Zeichen von
                                            // der Tastatur, bis <Return>
    i = 0;
    while (i < zeile.length)   {            // solange Zeile nicht erschoepft
        c = zeile[i];                       // besorge naechstes Zeichen
        if ((c < '0') || (c > '9')) break;  // falls keine Ziffer vorliegt: Ende
        ziffernwert = (int) c - (int) '0';  // konvertiere Ziffer zur Zahl
        wert = 10*wert + ziffernwert;       // verknuepfe mit bisherigem Wert
        i++;
    }
    IO.println("Der Wert lautet " + wert);  // gib Wert aus
  }
}
